/*=====================================
FUENTE Y CONFIGURACIÓN GENERAL
=====================================*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
    scroll-behavior:smooth;
}

body{
    background:#f8f9fa;
    color:#333;
    overflow-x:hidden;
    line-height:1.6;
}

img{
    max-width:100%;
    display:block;
}

a{
    text-decoration:none;
}

ul{
    list-style:none;
}


.contenedor{
    width:90%;
    max-width:1200px;
    margin:auto;
}

/*=====================================
WHATSAPP
=====================================*/

.whatsapp{
    position:fixed;
    right:25px;
    bottom:25px;
    width:60px;
    height:60px;
    background:#25D366;
    color:#fff;
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:30px;
    z-index:1000;
    transition:.3s;
    box-shadow:0 8px 20px rgba(0,0,0,.25);
}

.whatsapp:hover{
    transform:scale(1.1);
}

/*=====================================
HEADER
=====================================*/

header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    background:#b35400;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 3%;
    box-shadow:0 3px 15px rgba(0,0,0,.1);
    z-index:999;
    height: 50px;
}

.logo img{
    width:100%;
    height: 100%;
    object-fit: cover;
    margin: 0;
    

}
.logo{
    width: 45px;
    height: 45px;
    overflow: hidden;
    border-radius: 50%;
}

/*=====================================
MENÚ
=====================================*/

nav ul{
    display:flex;
    gap: 8px;
}
nav{
    flex:1;
}

nav ul li a{
    color:#222;
    font-weight:500;
    transition:.3s;
    font-size: 16px;
    padding: 1px 3px;
}
nav ul li a:visited{
    color:#222;

}
nav ul li a:hover{
    color:#b35400;
}

/*=====================================
BOTÓN MENÚ MÓVIL
=====================================*/

.menu-btn{
    display:none;
    font-size:32px;
    cursor:pointer;
}

/*=====================================
HERO
=====================================*/

.hero{
    position:relative;
    height:125vh;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;
    overflow:hidden;
}

.hero-fondo{
    position:absolute;
    inset:0;
    background:url("img/fondo.webp") center center/cover;
    filter:brightness(.45);
}

.overlay{
    position:relative;
    color:#fff;
    z-index:2;
    width:90%;
    max-width:900px;
}

.hero-logo{
    width:200px;
    margin-top: 100px;
    height: 220px;
    margin:100px auto 25px auto;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom:25px;
}

.hero h1{
    font-size:55px;
    margin-bottom:20px;
    font-weight:700;
}

.hero p{
    font-size:20px;
    margin-bottom:35px;

}

.hero-buttons{
    display:flex;
    justify-content:center;
    gap:20px;
    flex-wrap:wrap;
}

.btn,
.btn-secundario{
    padding:14px 35px;
    border-radius:40px;
    font-weight:600;
    transition:.3s;
}

.btn{
    background:#b35400;
    color:#fff;
}

.btn:hover{
    background:#b35400;
}

.btn-secundario{
    border:2px solid #fff;
    color:#fff;
}

.btn-secundario:hover{
    background:#fff;
    color:#222;
}
/*=====================================
QUIÉNES SOMOS
=====================================*/

#nosotros{
    padding:100px 0;
    background:#fff;
}

.titulo-seccion{
    text-align:center;
    margin-bottom:60px;
}

.titulo-seccion span{
    color:#b35400;
    font-size:15px;
    font-weight:600;
    letter-spacing:2px;
}

.titulo-seccion h2{
    font-size:42px;
    margin:15px 0;
    color:#222;
}

.titulo-seccion p{
    color:#666;
    max-width:750px;
    margin:auto;
}

.presentacion-empresa{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(350px,1fr));
    gap:50px;
    align-items:center;
}

.empresa-texto h3{
    font-size:32px;
    margin-bottom:20px;
    color:#b35400;
}

.empresa-texto p{
    margin-bottom:18px;
    color:#555;
    text-align:justify;
}

.empresa-imagen img{
    border-radius:18px;
    box-shadow:0 15px 35px rgba(0,0,0,.15);
}

/*=====================================
FORTALEZAS
=====================================*/

.fortalezas{
    padding:90px 0;
    background:#f4f4f4;
}

.fortalezas .contenedor{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(260px,1fr));
    gap:30px;
}

.fortaleza{
    background:#fff;
    padding:40px 25px;
    border-radius:18px;
    text-align:center;
    transition:.4s;
    box-shadow:0 8px 20px rgba(0,0,0,.08);
}

.fortaleza:hover{
    transform:translateY(-10px);
}

.fortaleza i{
    font-size:45px;
    color:#b35400;
    margin-bottom:20px;
}

.fortaleza h3{
    margin-bottom:15px;
    color:#222;
}

.fortaleza p{
    color:#666;
}

/*=====================================
HISTORIA
=====================================*/

.historia{
    padding:100px 0;
    background:#fff;
}

.historia .contenedor{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(260px,1fr));
    gap:30px;
}

.card{
    background:#fafafa;
    padding:35px;
    border-radius:18px;
    transition:.4s;
    border-top:5px solid #b35400;
    box-shadow:0 10px 25px rgba(0,0,0,.08);
}

.card:hover{
    transform:translateY(-8px);
}

.card h3{
    color:#b35400;
    margin-bottom:18px;
}

.card p{
    color:#555;
    text-align:justify;
}

/*=====================================
CONTENEDOR DE SECCIONES
=====================================*/

#contenido{
    min-height:350px;
    padding:80px 0;
    background:#f8f9fa;
}

/*=====================================
ESTILO PARA LAS PÁGINAS
QUE TÚ AGREGARÁS
=====================================*/

.servicios,
.bandas,
.empaques,
.proyectos,
.trabajos,
.lacer{

    width:90%;
    max-width:1200px;
    margin:auto;
    padding:80px 0;

}

.servicios h2,
.bandas h2,
.empaques h2,
.proyectos h2,
.trabajos h2,
.lacer h2{

    text-align:center;
    color:#b35400;
    font-size:38px;
    margin-bottom:25px;

}

.servicios p,
.bandas p,
.empaques p,
.proyectos p,
.trabajos p,
.lacer p{

    text-align:center;
    color:#666;
    margin-bottom:35px;

}

/*=====================================
TARJETAS GENERALES
=====================================*/

.grid{

    display:grid;
    grid-template-columns:
    repeat(auto-fit,minmax(280px,1fr));

    gap:30px;

}

.item{

    background:#fff;
    border-radius:15px;
    overflow:hidden;
    box-shadow:0 10px 20px rgba(0,0,0,.08);
    transition:.4s;

}

.item:hover{

    transform:translateY(-10px);

}

.item img{

    width:100%;
    height:220px;
    object-fit:cover;

}

.item h3{

    padding:20px;
    color:#b35400;

}

.item p{

    padding:0 20px 25px;
    text-align:left;

}
/*=====================================
NUESTROS RESULTADOS
=====================================*/

.resultados{
    padding:100px 0;
    background:#111;
    color:#fff;
    color:#000
}
.titulo-seccion p{
    color:#000;
    font-size:22px;
}

.titulo-seccion span{
    color:#ff8c00;
    font-size:22px;
}

.estadisticas{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
    gap:30px;
    margin-top:60px;
}

.stat{
    background:rgba(141, 143, 146, 0.4);
    padding:40px 20px;
    border-radius:18px;
    text-align:center;
    transition:.3s;
}

.stat:hover{
    transform:translateY(-10px);
}

.stat h3{
    font-size:55px;
    color:#ff8c00;
    margin-bottom:10px;
}

.stat p{
    color:#ddd;
    font-size:18px;
    font-weight: bold;
}

/*=====================================
CONTACTO
=====================================*/

#contacto{
    padding:100px 0;
    background:#f8f9fa;
}

.contacto-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(350px,1fr));
    gap:40px;
    align-items:flex-start;
}

.formulario-box,
.info-contacto{
    background:#fff;
    padding:35px;
    border-radius:18px;
    box-shadow:0 10px 25px rgba(0,0,0,.08);
}

/*=====================================
FORMULARIO
=====================================*/

.formulario input,
.formulario textarea{

    width:100%;
    padding:15px;
    margin-bottom:20px;
    border:1px solid #ddd;
    border-radius:10px;
    outline:none;
    font-size:16px;

}

.formulario textarea{
    resize:none;
}

.formulario button{

    width:100%;
    padding:15px;
    border:none;
    border-radius:10px;
    background:#b35400;
    color:#fff;
    font-size:17px;
    cursor:pointer;
    transition:.3s;

}

.formulario button:hover{

    background:#b35400;

}


/*=====================================
BOTÓN SUBIR
=====================================*/

#btnTop{

    position:fixed;
    right:25px;
    bottom:100px;
    width:55px;
    height:55px;
    border:none;
    border-radius:50%;
    background:#b35400;
    color:#fff;
    cursor:pointer;
    display:none;
    font-size:22px;
    z-index:999;

}

#btnTop:hover{

    background:#b35400;

}

/*=====================================
RESPONSIVE
=====================================*/

@media(max-width:992px){

nav{

    position:fixed;
    top:80px;
    left:-100%;
    width:100%;
    background:#fff;
    transition:.4s;
    padding:20px;

}

nav.active{

    left:0;

}

nav ul{

    flex-direction:column;
    gap:20px;

}

.menu-btn{

    display:block;

}

.buscador{

    display:none;

}

.hero h1{

    font-size:38px;

}

.hero p{

    font-size:17px;

}

.hero-logo{

    width:160px;

}

.titulo-seccion h2{

    font-size:32px;

}

}

@media(max-width:768px){

.hero{

    height:auto;
    padding:150px 20px 100px;

}

.hero-buttons{

    flex-direction:column;

}

.btn,
.btn-secundario{

    width:100%;

}

.contacto-grid{

    grid-template-columns:1fr;

}

.presentacion-empresa{

    grid-template-columns:1fr;

}

.estadisticas{

    grid-template-columns:1fr;

}

.historia .contenedor{

    grid-template-columns:1fr;

}

.fortalezas .contenedor{

    grid-template-columns:1fr;

}

.grid{

    grid-template-columns:1fr;

}

}



/* ===========================
   CARRUSELES
=========================== */

.carrusel{
    position: relative;
    max-width: 1100px;
    margin: 50px auto;
    overflow: hidden;
}

.carrusel-track{
    display: flex;
    gap: 20px;
    overflow-x: auto;
    scroll-behavior: smooth;
    scrollbar-width: none;
    padding: 15px;
}

.carrusel-track::-webkit-scrollbar{
    display: none;
}

.carrusel-track img{
    width: 320px;
    height: 420px;
    object-fit: cover;
    border-radius: 15px;
    box-shadow: 0 10px 25px rgba(0,0,0,.25);
    transition: .3s;
    flex-shrink: 0;
}

.carrusel-track img:hover{
    transform: scale(1.05);
}

.prev,
.next{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 50px;
    height: 50px;
    border: none;
    border-radius: 50%;
    background: #b35400;
    color: white;
    font-size: 24px;
    cursor: pointer;
    transition: .3s;
    z-index:1000;
}

.prev{
    left: 15px;
}

.next{
    right: 15px;
}

.prev:hover,
.next:hover{
    background: #b35400;
}



/* ===================================
FOOTER
=================================== */

footer{

    background:#111;

    color:white;

}

.footer-contenedor{

    width:90%;
    max-width:1400px;
    margin:auto;

    padding:80px 0;

    display:grid;

    grid-template-columns:
    repeat(auto-fit,minmax(250px,1fr));

    gap:40px;

}

.footer-logo img{

    width:120px;
    height: 80px;
  border-radius: 50px;
  object-fit: cover;
    margin-bottom:15px;

}

.footer-links ul{

    list-style:none;

}

.footer-links li{

    margin-bottom:10px;

}

.footer-links a{

    color:white;

    text-decoration:none;

}

.footer-links a:hover{

    color:var(--principal);

}

.footer-bottom{

    text-align:center;

    padding:20px;

    border-top:1px solid rgba(255,255,255,.1);

}


/* ===================================
REDES
=================================== */

#redes{

    padding: 80px 0;

    background:#f8f8f8;

}

.redes-grid{

    display:grid;

    grid-template-columns:
    repeat(auto-fit,minmax(180px,1fr));

    gap:25px;

}

.red-social{

    background:white;

    text-decoration:none;

    color:#b35400;

    text-align:center;

    padding:35px;

    border-radius:25px;

    box-shadow:0 10px 25px rgba(0,0,0,.08);

    transition:.3s;

}

.red-social:hover{

    transform:translateY(-10px);

}

.red-social i{

    font-size:20px;

    color:var(--principal);

    margin-bottom:15px;

}

.red-social span{

    display:block;

    font-weight:600;

}

/* ===================================
UBICACION
=================================== */

#ubicacion{

    padding:120px 0;

}

.ubicacion-grid{

    display:grid;

    grid-template-columns:1fr 1.2fr;

    gap:30px;

}

.direccion{

    background:white;

    padding:40px;

    border-radius:25px;

    box-shadow:0 10px 30px #b35400(0,0,0,.08);

}

.mapa iframe{

    width:100%;
    height:450px;

    border:none;

    border-radius:25px;

}

body{
    padding-top: -30px;
}


/* Sección de videos */
.videos{
    padding: 60px 20px;
    text-align: center;
    background: #fff;
}

.videos h2{
    font-size: 2rem;
    color: #d2691e; /* Naranja oscuro */
    margin-bottom: 20px;
    text-transform: uppercase;
}

.video-contenedor{
    max-width: 800px;
    margin: 0 auto 20px;
}

.video-contenedor iframe{
    width: 100%;
    aspect-ratio: 16 / 9;
    border: none;
    border-radius: 12px;
}

.videos p{
    font-size: 1rem;
    color: #555;
    margin-top: 15px;
}

.resultados{
    background: url("img/empresa.webp") center/cover no-repeat;
    padding: 80px 30px;
    position: relative;
    border-radius: 15px;
}

.resultado::before{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,.45); /* oscurece el banner para que se lea el texto */
    border-radius: 15px;
}

.resultado span,
.resultado h2,
.resultado-seccion p{
    position: relative;
    z-index: 1;
    color: #fff;
}

/* Lightbox */
.lightbox{
    display:none;
    position:fixed;
    z-index:9999;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.9);
    justify-content:center;
    align-items:center;
}

.lightbox-img{
    max-width:90%;
    max-height:90%;
    border-radius:10px;
    animation:zoom .3s;
}

.cerrar{
    position:absolute;
    top:20px;
    right:35px;
    color:#fff;
    font-size:45px;
    font-weight:bold;
    cursor:pointer;
}

@keyframes zoom{
    from{
        transform:scale(.7);
        opacity:0;
    }
    to{
        transform:scale(1);
        opacity:1;
    }
}

/* Todas las imágenes que quieras ampliar */
img{
    cursor:pointer;
}